var tmpl=`
<div>
<slot></slot>
<div :id="key"></div>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:['code'],
   data:function(){
     return {
       obj:null,
       key:this.code,
     };
   },
   mounted:function(){
     setTimeout(()=>{
       this.obj = new WxLogin({
           self_redirect:false,
           id:this.key,
           appid:"wx76a324c5d201d1a4",
           scope:"snsapi_login",
           redirect_uri:"http://boss.gongsibao.com/",
           state: "wx76a324c5d201d1a4|"+this.key,
           href: "https://boss.gongsibao.com/css/qr.css"
       });
     },500);
   },
   methods:{
    showQr:function(){

    }
   },
   vname:"gsb-qrask"
}`
